/*======================================================================*/
/*  GAMMA GENERIC INCLUDE FILE                                          */
/*======================================================================*/

#include <linux/sched.h>        /*  "current->pid", "TASK_ZOMBIE"       */
#include <asm/io.h>             /*  "outl", etc.                        */
#include <asm/system.h>         /*  "local_save_flags", etc.            */
#include <linux/mm.h>           /*  "GFP_KERNEL", etc.                  */
#include <asm/pgtable.h>        /*  "pte_page", "pte_offset", etc.      */
#include <asm/uaccess.h>        /*  "copy_from_user", "copy_to_user"    */
#include <linux/linkage.h>	/*  "ALIGN", "ENTRY(name)"              */
#include <linux/netdevice.h>	/*  "struct device"                     */

#include "lib/gamma_userlev.h"

/*  DO NOT CHANGE THE ORDER OF WHAT FOLLOWS!!  */

#include "gamma_def.h"
#include "gamma_nic_dependent.h"
#include "gamma_macros.h"
#include "gamma_header.h"
#include "gamma_types.h"


#include <linux/init.h>				/*  "__init"  */
void __init set_system_gate(unsigned int n, void *addr);
asmlinkage int gamma_system_call(void);		/* Used by gamma_entry.S */
asmlinkage int gamma_ret_from_handler(void);	/* Used by gamma_entry.S */
void gamma_start(struct net_device *);		/* Used by the device driver */
int rx_gamma(struct net_device *, unsigned long);
						/* Used by the device driver */
void gamma_kernel_send(
	unsigned long, unsigned char, unsigned char, void *, unsigned short,
	int
);	/* Used in file sys_gamma_vm.c */
int sys_gamma_vm_destroy(unsigned long); /* Used by sys_gamma_vm_create(). */
int sys_gamma_vm_abort(unsigned long);   /* Used by gamma_kernel_rec(). */
extern struct net_device *gamma_device;  /* Used by the device driver */
#ifdef USE_DAMNICK
int damnick_icopy_k2u(void *, void *, unsigned long);
int damnick_icopy_k2u_nu
	(void *, void *, unsigned long, unsigned long *, unsigned long);
int damnick_writel_u(unsigned long *, unsigned long);
#endif
